%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:			gtest
Summary:		Google's framework for writing C++ tests
Version:		1.7.0
Release:		1
License:		BSD
Group:			Development/C++
URL:			http://code.google.com/p/googletest/
Source0:		http://googletest.googlecode.com/files/%{name}-%{version}.zip
Patch0:			gtest-1.6.0_install.patch

%description
Google's framework for writing C++ tests on a variety of platforms 
(Linux, Mac OS X, Windows, Cygwin, Windows CE, and Symbian). Based 
on the xUnit architecture. Supports automatic test discovery, a rich 
set of assertions, user-defined assertions, death tests, fatal and 
non-fatal failures, value- and type-parameterized tests, various 
options for running the tests, and XML test report generation.

%package -n		%{libname}
Summary:		Shared libraries for %{name}
Group:			System/Libraries

%description -n 	%{libname}
Google's framework for writing C++ tests on a variety of platforms
(Linux, Mac OS X, Windows, Cygwin, Windows CE, and Symbian). Based
on the xUnit architecture. Supports automatic test discovery, a rich
set of assertions, user-defined assertions, death tests, fatal and
non-fatal failures, value- and type-parameterized tests, various
options for running the tests, and XML test report generation.

This package contains the shared %{name} libraries.

%package -n		%{develname}
Summary:		Development files for %{name}
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n		%{develname}
This package contains development files for %{name}.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --disable-static
%make LIBS='-lpthread'

%install
%makeinstall_std

%check
%make check

%files -n %{libname}
%doc README 
%{_libdir}/lib%{name}*.so.%{major}*

%files -n %{develname}
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}
%{_datadir}/aclocal/%{name}.m4

%changelog
* Mon Nov 24 2014 dsilakov <denis.silakov@rosalab.ru> 1.7.0-1
+ Revision: 4cb2f64
- Merge pull request #1 from import/gtest:auto_update
- ROSA Updates Builder: update suggested


